import request from '@/utils/request'



//上传信息
export function uploadFileInfo(data){
  return request({
    url:'/exam/multipart/uploadFileInfo',
    method:'post',
    data:data
  })
}

// 上传校验
export function checkUpload(MD5) {
  return request({
    url: '/exam/multipart/check',
    method: 'get',
    params: {"md5":MD5}
  })
};


// 初始化上传
export function initUpload(data) {
  return request({
    url: '/exam/multipart/init',
    method: 'post',
    data:data
  })
};


// 文件合并
export function mergeUpload(data) {
  return request({
    url: '/exam/multipart/merge',
    method: 'post',
    data:data
  })
};


//判断文件是否存在
export function fileIsExits(data) {
  return request({
    url: '/exam/multipart/fileIsExits',
    method: 'post',
    data:data
  })
};

// 上传文件
export function uploadFiles(formData) {
  return request({
    url: '/exam/multipart/uploadFiles',
    method: 'post',
    data: formData,
    timeout: 600000, // 设置超时时间为 10 秒（10000 毫秒）
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
      repeatSubmit:false
    }
  })
}
